package omq.common.event;

import java.io.Serializable;

/**
 * 
 * @author Sergi Toda <sergi.toda@estudiants.urv.cat>
 * 
 */
public abstract class Event implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String corrId;
	private String topic;

	public Event() {
	}

	public Event(String corrId, String topic) {
		this.corrId = corrId;
		this.topic = topic;
	}

	public Event(String corrId) {
		this.corrId = corrId;
	}

	public String getCorrId() {
		return corrId;
	}

	public void setCorrId(String corrId) {
		this.corrId = corrId;
	}

	public String getTopic() {
		return topic;
	}

	public void setTopic(String topic) {
		this.topic = topic;
	}
}
